# CI/CD Templates

Repository für Gitlab CI/CD Templates

[TOC]

## Components
### docker-compose
Baut und pusht eine vorhandene `docker-compose.yml`.

* Testet, ob eine `docker-compose.yml` vorhanden ist
* Container-Tags
  * Für den Branch 'main' wird der Tag 'latest' gestzt
  * Für jeden anderen Branch wird der Name des Branches als Tag gesetzt
  * Für einen Git-Tag wird der Name des Git-Tag als Tag gesetzt

Setzt die Umgebungsvariablen:
* DOCKER_REGISTRY - Name der Docker Container Registry inklusive des Subpfades für den Projektordner
* DOCKER_IMAGE_TAG - Container-Tag

#### Beispiel
Im Repository sollten diese Dateien angelegt werden.

```yaml
# docker-compose.yml

services:
  app:
    image: ${DOCKER_REGISTRY}/app:${DOCKER_IMAGE_TAG}
    build:
      dockerfile: Dockerfile
      context: .
```

```dotenv
# .env

# Docker compose build environment
DOCKER_REGISTRY='mcr.informatik.uni-halle.de/abcde/repostory'
DOCKER_IMAGE_TAG='latest'

```
